%define name		rekollect
%define version	0.4.0
%define release	%mkrel 2

Name:		%name
Version:	%version
Release:	%release
License:	GPL v2
Source:		%name-%{version}.tar.xz
Group:		Graphical desktop/KDE4
Summary:	A rich note-taking application.
Url:		https://projects.kde.org/projects/playground/pim/rekollect
BuildRequires:	kdelibs-devel
BuildRequires:	docbook-style-xsl
BuildRoot:	%{_tmppath}/%{name}-%{version}-build


%description
A note taking and note management application

%prep
%setup -q

%build
mkdir build && cd build
cmake -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix=/usr` ..
make

%install
%makeinstall_std -C build

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_bindir}/rekollect
%{_libdir}/kde4/plasma_engine_rekollectnotes.so
%{_libdir}/librekollectiohtml.a
%{_libdir}/librekollectionative.a
%{_libdir}/librekollectiotextile.a
%{_datadir}/applications/kde4/rekollect.desktop
%{_datadir}/apps/plasma/plasmoids/rekollect-notes
%{_datadir}/apps/rekollect/
%{_datadir}/config.kcfg/rekollect.kcfg
%{_docdir}/HTML/en/rekollect/
%{_iconsdir}/hicolor/*/apps/rekollect.png
%{_datadir}/kde4/services/plasma-applet-rekollect-notes.desktop
%{_datadir}/kde4/services/plasma-engine-rekollectnotes.desktop

%changelog
* Thu Jun 06 2013 Texstar <texstar at gmail.com> 0.4.0-2pclos2013
- fix rpmgroup

* Sat Jan 28 2012 Neal <nealbrks0 at gmail dot com> 0.4.0-1pclos2012
- process for 64bit

* Fri Jan 27 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.4.0-1_archie_2011
- Initial build
